Update Benefit Category
curl --request PATCH \
--url https://api.example.com/api/v1/bko/benefit-categories/{fareBenefitCategoryId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"description": "<string>",
"discountValue": 123,
"eligibilityRules": "<string>",
"name": "<string>",
"requiredDocumentTypes": [
"<string>"
]
}
'import requests
url = "https://api.example.com/api/v1/bko/benefit-categories/{fareBenefitCategoryId}"
payload = {
"description": "<string>",
"discountValue": 123,
"eligibilityRules": "<string>",
"name": "<string>",
"requiredDocumentTypes": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
description: '<string>',
discountValue: 123,
eligibilityRules: '<string>',
name: '<string>',
requiredDocumentTypes: ['<string>']
})
};
fetch('https://api.example.com/api/v1/bko/benefit-categories/{fareBenefitCategoryId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fareBenefitCategoryId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"code": "<string>",
"name": "<string>",
"description": "<string>",
"type": "GRATUITY",
"discountType": "FIXED",
"discountValue": 123,
"requiredDocumentTypes": [
"<string>"
],
"eligibilityRules": "<string>",
"status": "ACTIVE",
"createdBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"updatedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"deletedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdAt": "2026-01-01T00:00:00.000Z",
"updatedAt": "2026-01-01T00:00:00.000Z",
"deletedAt": null
}{
"errors": [
{
"message": "required",
"path": "name"
}
],
"message": "Bad Request Error",
"statusCode": 400
}{
"message": "Missing or invalid access token",
"statusCode": 401
}{
"message": "Insufficient permissions",
"statusCode": 403
}{
"message": "Internal Server Error",
"statusCode": 500
}Benefit Category
Update Benefit Category
Updates a benefit category.
PATCH
/
api
/
v1
/
bko
/
benefit-categories
/
{fareBenefitCategoryId}
Update Benefit Category
Authorizations
bearerbearer
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Comma-separated list of fields to include in the response. Supports dot notation for nested projection (e.g. id,name,user.email,trips.route.id). Unknown fields are silently dropped.
Body
application/json
Update fare benefit category payload
Available options:
FIXED, PERCENTAGE Available options:
ACTIVE, INACTIVE Available options:
GRATUITY, DISCOUNT Response
OK
Fare benefit category
Available options:
GRATUITY, DISCOUNT Available options:
FIXED, PERCENTAGE Available options:
ACTIVE, INACTIVE Created at
Example:
"2026-01-01T00:00:00.000Z"
Updated at
Example:
"2026-01-01T00:00:00.000Z"
Deleted at
Example:
null